package com.trade.service.thirdparty.qichacha.dto;

import com.alibaba.fastjson2.annotation.JSONField;

import java.util.Date;

public class EcBasicDetailDto {

    private static final long serialVersionUID = 1L;
    /**
     * 公司内部关联主键
     */
    private String KeyNo;
    /**
     * 公司名称
     */
    private String Name;
    /**
     * 注册号
     */
    private String No;
    /**
     * 登记机关
     */
    private String BelongOrg;
    /**
     * 法定代表人ID
     */
    private String OperId;
    /**
     * 法定代表人
     */
    private String OperName;
    /**
     * 成立日期
     */
    @JSONField(format = "yyyy-MM-dd")
    private Date StartDate;
    /**
     * 注销/吊销日期
     */
    private String EndDate;
    /**
     * 登记状态（存续、在业、注销、迁入、吊销、迁出、停业、清算）
     */
    private String Status;
    /**
     * 所在省份缩写
     */
    private String Province;
    /**
     * 记录更新时间
     */
    @JSONField(format = "yyyy-MM-dd")
    private Date UpdatedDate;
    /**
     * 统一社会信用代码
     */
    private String CreditCode;
    /**
     * 注册资本
     */
    private String RegistCapi;
    /**
     * 类型
     */
    private String EconKind;
    /**
     * 注册地址
     */
    private String Address;
    /**
     * 经营范围
     */
    private String Scope;
    /**
     * 营业期限自
     */
    @JSONField(format = "yyyy-MM-dd")
    private Date TermStart;
    /**
     * 营业期限至
     */
    @JSONField(format = "yyyy-MM-dd")
    private String TeamEnd;
    /**
     * 核准日期
     */
    @JSONField(format = "yyyy-MM-dd")
    private Date CheckDate;
    /**
     * 组织机构代码
     **/
    private String OrgNo;
    /**
     * 是否上市（0-未上市，1-上市）
     */
    private String IsOnStock;
    /**
     * 股票代码（如A股和港股同时存在，优先显示A股代码）
     */
    private String StockNumber;
    /**
     * 上市类型（A股、港股、美股、新三板、新四板）
     */
    private String StockType;
    /**
     * 获取数据的时间戳
     **/
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date timestamps;
    /**
     * 企业性质，0-大陆企业，1-社会组织 ，3-中国香港公司，4-事业单位，5-中国台湾公司，6-基金会，7-医院，8-海外公司，9-律师事务所，10-学校 ，11-机关单位，-1-其他
     **/
    private String EntType;
    /**
     * 行政区域
     **/
    private Area Area;
    /**
     * 行政区划代码
     **/
    private String AreaCode;

    public String getKeyNo() {
        return KeyNo;
    }

    public void setKeyNo(String keyNo) {
        KeyNo = keyNo;
    }

    public String getName() {
        return Name;
    }

    public void setName(String name) {
        Name = name;
    }

    public String getNo() {
        return No;
    }

    public void setNo(String no) {
        No = no;
    }

    public String getBelongOrg() {
        return BelongOrg;
    }

    public void setBelongOrg(String belongOrg) {
        BelongOrg = belongOrg;
    }

    public String getOperId() {
        return OperId;
    }

    public void setOperId(String operId) {
        OperId = operId;
    }

    public String getOperName() {
        return OperName;
    }

    public void setOperName(String operName) {
        OperName = operName;
    }

    public Date getStartDate() {
        return StartDate;
    }

    public void setStartDate(Date startDate) {
        StartDate = startDate;
    }

    public String getEndDate() {
        return EndDate;
    }

    public void setEndDate(String endDate) {
        EndDate = endDate;
    }

    public String getStatus() {
        return Status;
    }

    public void setStatus(String status) {
        Status = status;
    }

    public String getProvince() {
        return Province;
    }

    public void setProvince(String province) {
        Province = province;
    }

    public Date getUpdatedDate() {
        return UpdatedDate;
    }

    public void setUpdatedDate(Date updatedDate) {
        UpdatedDate = updatedDate;
    }

    public String getCreditCode() {
        return CreditCode;
    }

    public void setCreditCode(String creditCode) {
        CreditCode = creditCode;
    }

    public String getRegistCapi() {
        return RegistCapi;
    }

    public void setRegistCapi(String registCapi) {
        RegistCapi = registCapi;
    }

    public String getEconKind() {
        return EconKind;
    }

    public void setEconKind(String econKind) {
        EconKind = econKind;
    }

    public String getAddress() {
        return Address;
    }

    public void setAddress(String address) {
        Address = address;
    }

    public String getScope() {
        return Scope;
    }

    public void setScope(String scope) {
        Scope = scope;
    }

    public Date getTermStart() {
        return TermStart;
    }

    public void setTermStart(Date termStart) {
        TermStart = termStart;
    }

    public String getTeamEnd() {
        return TeamEnd;
    }

    public void setTeamEnd(String teamEnd) {
        TeamEnd = teamEnd;
    }

    public Date getCheckDate() {
        return CheckDate;
    }

    public void setCheckDate(Date checkDate) {
        CheckDate = checkDate;
    }

    public String getOrgNo() {
        return OrgNo;
    }

    public void setOrgNo(String orgNo) {
        OrgNo = orgNo;
    }

    public String getIsOnStock() {
        return IsOnStock;
    }

    public void setIsOnStock(String isOnStock) {
        IsOnStock = isOnStock;
    }

    public String getStockNumber() {
        return StockNumber;
    }

    public void setStockNumber(String stockNumber) {
        StockNumber = stockNumber;
    }

    public String getStockType() {
        return StockType;
    }

    public void setStockType(String stockType) {
        StockType = stockType;
    }

    public Date getTimestamps() {
        return timestamps;
    }

    public void setTimestamps(Date timestamps) {
        this.timestamps = timestamps;
    }

    public String getEntType() {
        return EntType;
    }

    public void setEntType(String entType) {
        EntType = entType;
    }

    public com.trade.service.thirdparty.qichacha.dto.Area getArea() {
        return Area;
    }

    public void setArea(com.trade.service.thirdparty.qichacha.dto.Area area) {
        Area = area;
    }

    public String getAreaCode() {
        return AreaCode;
    }

    public void setAreaCode(String areaCode) {
        AreaCode = areaCode;
    }
}

